Bug 688318 - Review Request: rubygem-directory_watcher - Rubygem for watching files in a directory and generating events when they change
Review Request: rubygem-directory_watcher - Rubygem for watching files in a ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 688322
  Show dependency treegraph
 
Reported: 2011-03-16 15:41 EDT by Chris Lalancette
Modified: 2011-06-30 17:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-30 17:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2011-03-16 15:41:36 EDT
Spec URL:
http://people.redhat.com/clalance/rubygem-directory_watcher/rubygem-directory_watcher.spec
SRPM URL:
http://people.redhat.com/clalance/rubygem-directory_watcher/rubygem-directory_watcher-1.4.0-1.fc14.src.rpm
Description: The directory watcher operates by scanning a directory at some interval and generating a list of files based on a user supplied glob pattern. As the file list changes from one interval to the next, events are generated and
dispatched to registered observers. Three types of events are supported --
added, modified, and removed.

I ran rpmlint against the spec:
[clalance@localhost SPECS]$ rpmlint rubygem-directory_watcher.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[clalance@localhost SPECS]$ rpmlint ../SRPMS/rubygem-directory_watcher-1.4.0-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Chris Lalancette 2011-04-02 16:39:12 EDT
Based on review comments in BZ 688316, I've made a new package available.  This version uses the released gem of directory_watcher instead of the git version.  I've uploaded a new SPEC file and SRPM:

http://people.redhat.com/clalance/rubygem-directory_watcher/rubygem-directory_watcher.spec
http://people.redhat.com/clalance/rubygem-directory_watcher/rubygem-directory_watcher-1.4.0-2.fc14.src.rpm

Thanks,
Chris Lalancette
Comment 2 Chris Lalancette 2011-06-30 17:58:25 EDT
Well, it looks like webby is unmaintained upstream.  Combine this with the fact that we are going to switch the aeolus infrastructure over to using nanoc, and I think there isn't really a good reason to put this in Fedora.  Since this was going to be put in as a dependency for webby, I don't see a need for it anymore.

Closing this review request out.

Note You need to log in before you can comment on or make changes to this bug.